Loading...
Searching...
No Matches
apr_sdbm.h File Reference

apr-util SDBM library More...

`#include "apu.h"`
`#include "apr_errno.h"`
`#include "apr_file_io.h"`
Include dependency graph for apr_sdbm.h:

Go to the source code of this file.

## Data Structures

struct | apr_sdbm_datum_t

## Macros

#define | APR_SDBM_DIRFEXT ".dir"
#define | APR_SDBM_PAGFEXT ".pag"
#define | APR_SDBM_INSERT 0
#define | APR_SDBM_REPLACE 1
#define | APR_SDBM_INSERTDUP 2

## Typedefs

typedef struct apr_sdbm_t | apr_sdbm_t

## Functions

apr_status_t | apr_sdbm_open (apr_sdbm_t **db, const char *name, apr_int32_t mode, apr_fileperms_t perms, apr_pool_t *p)
apr_status_t | apr_sdbm_close (apr_sdbm_t *db)
apr_status_t | apr_sdbm_lock (apr_sdbm_t *db, int type)
apr_status_t | apr_sdbm_unlock (apr_sdbm_t *db)
apr_status_t | apr_sdbm_fetch (apr_sdbm_t *db, apr_sdbm_datum_t *value, apr_sdbm_datum_t key)
apr_status_t | apr_sdbm_store (apr_sdbm_t *db, apr_sdbm_datum_t key, apr_sdbm_datum_t value, int opt)
apr_status_t | apr_sdbm_delete (apr_sdbm_t *db, const apr_sdbm_datum_t key)
apr_status_t | apr_sdbm_firstkey (apr_sdbm_t *db, apr_sdbm_datum_t *key)
apr_status_t | apr_sdbm_nextkey (apr_sdbm_t *db, apr_sdbm_datum_t *key)
int | apr_sdbm_rdonly (apr_sdbm_t *db)

## Detailed Description

apr-util SDBM library